QGIS Application - Bug report #17481
2.18.14 crashes if opening a project from a read only network share.
2017-11-17 04:35 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.14 Regression?: No
Operating System: Xubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 25378
Description

| use sometimes read only file shares to protect a project which was created in a different version from being accidentally overwritten by a
project version from an older edition of qgis.

In previous versions of 2.18 when the project was opened from a read only file share everything worked, now it just crashes every time.

History

#1 - 2017-11-17 08:04 AM - Patrick Dunford

| have now checked and found the share | am using is NOT read only and therefore the error messages | am getting appear to be completely unrelated to
the network share.

The last few messages in the terminal are
Warning 4: Failed to open filename.shp, Permission denied.

Opening a different project from the same share opens satisfactorily.

| am testing with several versions of the software to see if other versions have this problem.

#2 - 2017-11-17 08:13 AM - Patrick Dunford

No crash on 2.14.18

#3 - 2017-11-17 08:20 AM - Patrick Dunford

No. crash on 2.18.13 on Xubuntu 17.04

#4 - 2017-11-21 11:39 AM - Giovanni Manghi
- Status changed from Open to Feedback

Can you try help clarify the issue and update the title, description affected version, etc.? Thanks.

#5 - 2018-11-11 01:02 AM - Jiirgen Fischer

- Resolution set to worksforme
- Status changed from Feedback to Closed
